BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS subsystem_entropies (N integer, l integer, S real, S2 real, Smin real, CONSTRAINT subsystem_entropies_uniq UNIQUE (N, l));
REPLACE INTO subsystem_entropies VALUES(2,1,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(2,2,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(4,1,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(4,2,1.918295834054489557,1.8479969065549499696,1.5849625007211562977);
REPLACE INTO subsystem_entropies VALUES(4,3,2.5849625007211560756,2.5849625007211560756,2.5849625007211560756);
REPLACE INTO subsystem_entropies VALUES(4,4,2.5849625007211560756,2.5849625007211560756,2.5849625007211560756);
REPLACE INTO subsystem_entropies VALUES(6,1,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(6,2,1.9709505944546688027,1.943416471633632625,1.736965594166206328);
REPLACE INTO subsystem_entropies VALUES(6,3,2.8954618442383215359,2.8365012677171206334,2.736965594166206106);
REPLACE INTO subsystem_entropies VALUES(6,4,3.7219280948873625369,3.6438561897747248075,3.3219280948873626257);
REPLACE INTO subsystem_entropies VALUES(6,5,4.3219280948873617376,4.3219280948873617376,4.3219280948873617376);
REPLACE INTO subsystem_entropies VALUES(6,6,4.3219280948873617376,4.3219280948873617376,4.3219280948873617376);
REPLACE INTO subsystem_entropies VALUES(8,1,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(8,2,1.9852281360342516336,1.9708536543404833185,1.807354922057604174);
REPLACE INTO subsystem_entropies VALUES(8,3,2.9502120649147469677,2.9142701259741157215,2.807354922057604174);
REPLACE INTO subsystem_entropies VALUES(8,4,3.8855880165740859233,3.8239378062532081159,3.5443205162238102801);
REPLACE INTO subsystem_entropies VALUES(8,5,4.7707437306125468623,4.6887104255589848733,4.5443205162238102801);
REPLACE INTO subsystem_entropies VALUES(8,6,5.5578544455163942927,5.4772063203652727736,5.1292830169449663557);
REPLACE INTO subsystem_entropies VALUES(8,7,6.1292830169449672439,6.1292830169449672439,6.1292830169449672439);
REPLACE INTO subsystem_entropies VALUES(8,8,6.1292830169449672439,6.1292830169449672439,6.1292830169449672439);
REPLACE INTO subsystem_entropies VALUES(10,1,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(10,2,1.991076059838222001,1.9822979982665411835,1.8479969065549499696);
REPLACE INTO subsystem_entropies VALUES(10,3,2.9708245055826512093,2.9475325801058644969,2.8479969065549499696);
REPLACE INTO subsystem_entropies VALUES(10,4,3.9357013803722988853,3.8938639153122789338,3.6553518286125536995);
REPLACE INTO subsystem_entropies VALUES(10,5,4.8801290357148348064,4.8175687349196039122,4.6553518286125541436);
REPLACE INTO subsystem_entropies VALUES(10,6,5.793964446966032078,5.7113858635268819341,5.3923174227787606938);
REPLACE INTO subsystem_entropies VALUES(10,7,6.6564778395656203358,6.5622424242210728451,6.3923174227787598056);
REPLACE INTO subsystem_entropies VALUES(10,8,7.421724367944360523,7.3398500028846243026,6.9772799234999167694);
REPLACE INTO subsystem_entropies VALUES(10,9,7.9772799234999167694,7.9772799234999167694,7.9772799234999167694);
REPLACE INTO subsystem_entropies VALUES(10,10,7.9772799234999167694,7.9772799234999167694,7.9772799234999167694);
REPLACE INTO subsystem_entropies VALUES(12,1,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(12,2,1.9940302114769563601,1.9881258997117081666,1.8744691179161410143);
REPLACE INTO subsystem_entropies VALUES(12,3,2.9808259362290785432,2.9646669268877192671,2.8744691179161407923);
REPLACE INTO subsystem_entropies VALUES(12,4,3.9586692277429857966,3.9289169019385172809,3.7224660244710907619);
REPLACE INTO subsystem_entropies VALUES(12,5,4.9251389336738249369,4.8793348730879575469,4.7224660244710907619);
REPLACE INTO subsystem_entropies VALUES(12,6,5.8766523898676794601,5.8132338058110057943,5.52982094652869538);
REPLACE INTO subsystem_entropies VALUES(12,7,6.8074259176633500345,6.7262181593321983541,6.5298209465286944919);
REPLACE INTO subsystem_entropies VALUES(12,8,7.7070691168458349551,7.6107409419122626914,7.2667865406949019302);
REPLACE INTO subsystem_entropies VALUES(12,9,8.5549615408260208937,8.4531996649257834519,8.2667865406949001538);
REPLACE INTO subsystem_entropies VALUES(12,10,9.3062944959615112594,9.2237178188030153336,8.8517490414160562295);
REPLACE INTO subsystem_entropies VALUES(12,11,9.8517490414160580058,9.8517490414160580058,9.8517490414160580058);
REPLACE INTO subsystem_entropies VALUES(12,12,9.8517490414160580058,9.8517490414160580058,9.8517490414160580058);
REPLACE INTO subsystem_entropies VALUES(14,1,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(14,2,1.9957274520849255239,1.9914885001444826428,1.8930847960834880083);
REPLACE INTO subsystem_entropies VALUES(14,3,2.9864361090008424426,2.9746146815800864615,2.8930847960834880083);
REPLACE INTO subsystem_entropies VALUES(14,4,3.9711644153092762188,3.9490552667495610883,3.7675539139996288007);
REPLACE INTO subsystem_entropies VALUES(14,5,4.9486430908626584113,4.9140693412749127944,4.7675539139996292448);
REPLACE INTO subsystem_entropies VALUES(14,6,5.917146265648997705,5.868417066661424819,5.6155508205545787703);
REPLACE INTO subsystem_entropies VALUES(14,7,6.8742370598865836228,6.8101875754936456175,6.6155508205545787703);
REPLACE INTO subsystem_entropies VALUES(14,8,7.8162723766292288019,7.7364509258201366037,7.4229057426121833884);
REPLACE INTO subsystem_entropies VALUES(14,9,8.7373517865608700816,8.6426103289077556013,8.4229057426121833884);
REPLACE INTO subsystem_entropies VALUES(14,10,9.6269832252937206362,9.5210008818038822653,9.1598713367783890504);
REPLACE INTO subsystem_entropies VALUES(14,11,10.464671817686303611,10.35781071439029688,10.15987133677838905);
REPLACE INTO subsystem_entropies VALUES(14,12,11.206372299038006801,11.123345460753276015,10.744833837499545125);
REPLACE INTO subsystem_entropies VALUES(14,13,11.744833837499545125,11.744833837499545125,11.744833837499545125);
REPLACE INTO subsystem_entropies VALUES(14,14,11.744833837499545125,11.744833837499545125,11.744833837499545125);
REPLACE INTO subsystem_entropies VALUES(16,1,1.0,1.0,1.0);
REPLACE INTO subsystem_entropies VALUES(16,2,1.9967916319816365611,1.9936022288018493409,1.9068905956085184794);
REPLACE INTO subsystem_entropies VALUES(16,3,2.9898980954642877527,2.9808911770522952267,2.9068905956085182573);
REPLACE INTO subsystem_entropies VALUES(16,4,3.9787273780768028785,3.9616995911055377099,3.7999753916920067098);
REPLACE INTO subsystem_entropies VALUES(16,5,4.9625316762784841273,4.9356304910495731874,4.7999753916920067098);
REPLACE INTO subsystem_entropies VALUES(16,6,5.9403470584319109093,5.9020307790755817123,5.6744445096081479462);
REPLACE INTO subsystem_entropies VALUES(16,7,6.9109003737774017395,6.8599285728490979607,6.674444509608147058);
REPLACE INTO subsystem_entropies VALUES(16,8,7.8724587476409348951,7.8079178014494905468,7.5224414161630974717);
REPLACE INTO subsystem_entropies VALUES(16,9,8.8225652289328433397,8.7439597417194665496,8.5224414161630974717);
REPLACE INTO subsystem_entropies VALUES(16,10,9.7575306217945882991,9.6650270941456675188,9.3297963382207012017);
REPLACE INTO subsystem_entropies VALUES(16,11,10.671384238089608231,10.566439245163094185,10.329796338220701201);
REPLACE INTO subsystem_entropies VALUES(16,12,11.55358674048972034,11.440472569376815669,11.06676193238690864);
REPLACE INTO subsystem_entropies VALUES(16,13,12.383754432531141276,12.273212809854333827,12.066761932386908639);
REPLACE INTO subsystem_entropies VALUES(16,14,13.118391099774729724,13.035053072659570361,12.651724433108062939);
REPLACE INTO subsystem_entropies VALUES(16,15,13.651724433108062938,13.651724433108062938,13.651724433108062938);
REPLACE INTO subsystem_entropies VALUES(16,16,13.651724433108062938,13.651724433108062938,13.651724433108062938);
COMMIT;
